Data Fields
_PurpleChat Struct Reference

A chat. More...

`#include <blist.h>`

## Data Fields
PurpleBlistNode | node
| The node that this chat inherits from.
char * | alias
| The display name of this chat. More...
GHashTable * | components
| the stuff the protocol needs to know to join the chat
PurpleAccount * | account
| The account this chat is attached to.

## Detailed Description

A chat.

This contains everything Purple needs to put a chat room in the buddy list.

Definition at line 179 of file blist.h.

## Field Documentation

## ◆ alias

char* _PurpleChat::alias

The display name of this chat.

Definition at line 181 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h